%**************************************************************************
%    CALCULA LA CORRELACION POR CAJAS ENTRE 2 VARIABLES, LA VARIABLE DATA SE 
%    USA PARA CONOCER LA POSICION DE CADA PUNTO DENTRO DEL ATRACTOR (PARA
%    USAR CON EL MODELO 3 DE LORENZ).
%**************************************************************************
function [r cov_r]=correlacion(data,variable1,variable2,xrange,deltax,yrange,deltay)

%**************************************************************************
% Calculamos el promedio de una variable a partir de puntos dispersos.
%**************************************************************************

%Obtengo el numero de datos.
% data(:,1) son los valores de x, data(:,2) son los valores de y variable
% son los valores a promediar
[N nada]=size(data);



X=xrange(1):deltax:xrange(2);
Y=yrange(1):deltay:yrange(2);

NX=length(X); NY=length(Y);
for i=1:NX-1
    plot_X(i)=0.5*(X(i)+X(i+1));
    for j=1:NY-1
        plot_Y(j)=0.5*(Y(j)+Y(j+1));
        index=(  data(:,1)  >= X(i) & data(:,1)   < X(i+1) & data(:,2)   >= Y(j) & data(:,2)  < Y(j+1)  );
        if(sum(index)>5)
            aux_x=variable1(index);aux_y=variable2(index);
            aux_r=corrcoef(aux_x,aux_y);
            aux_cov=cov(aux_x,aux_y);
        
        r(j,i)=aux_r(1,2);
        cov_r(j,i)=aux_cov(1,2);
        else
            r(j,i)=NaN;
            cov_r(j,i)=NaN;
        end

    end   
end


